## kdebugsettings 25.08.2+p24.04+vstable+git20251019.0210

=== debian/changelog ===
kdebugsettings (25.08.2+p24.04+vstable+git20251019.0210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:10:18 +0000

kdebugsettings (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:46:21 +0000
