## kdebugsettings 25.08.2+p24.04+vstable+git20251020.0600

=== debian/changelog ===
kdebugsettings (25.08.2+p24.04+vstable+git20251020.0600-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:00:32 +0000
