=== src/apps/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 )
 
 if(TARGET KF6::DBusAddons)
-    target_link_libraries(kdebugsettings KF6::DBusAddons)
+    target_link_libraries(kdebugsettings KF6::DBusAddons KF6::WindowSystem)
 else()
     target_link_libraries(kdebugsettings KDAB::kdsingleapplication)
 endif()
@@ -32,7 +32,7 @@
                 "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
             MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
             MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.kdebugsettings"
-            MACOSX_BUNDLE_COPYRIGHT "2020-2024 The KDebugsettings Developers"
+            MACOSX_BUNDLE_COPYRIGHT "2020-2025 The KDebugsettings Developers"
     )
 endif()
