## kdebugsettings 25.08.2+p24.04+vunstable+git20251021.0429

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_REQUIRED_VERSION "6.9.0")
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
@@ -81,7 +81,7 @@
 
 add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0
+ecm_set_disabled_deprecation_versions(QT 6.11.0
     KF 6.19.0
 )
