## kdebugsettings 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,17 +3,15 @@
 # KDE Application Version, managed by release script
 cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION
     "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
 )
 project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_REQUIRED_VERSION "6.9.0")
-set(KF_MIN_VERSION "6.18.0")
-set(CMAKE_CXX_STANDARD 20)
-set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
+set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.14.0")
 
 set(ECM_VERSION ${KF_MIN_VERSION})
 find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
@@ -74,15 +72,14 @@
 if(USE_DBUS)
     set(WITH_DBUS TRUE)
     find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
-    find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
 else()
     find_package(KDSingleApplication-qt6 CONFIG REQUIRED)
 endif()
 
 add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.11.0
-    KF 6.19.0
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+    KF 6.15.0
 )
 
 if(OPTION_SELENIUMWEBDRIVER_SUPPORT)
