## kdebugsettings 25.08.3+p24.04+vunstable+git20251203.0308

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,16 +2,17 @@
 # SPDX-License-Identifier: BSD-3-Clause
 # KDE Application Version, managed by release script
 cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION
     "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}"
 )
 project(kdebugsettings VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_REQUIRED_VERSION "6.8.0")
-set(KF_MIN_VERSION "6.14.0")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.20.0")
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 set(ECM_VERSION ${KF_MIN_VERSION})
 find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE)
@@ -72,14 +73,15 @@
 if(USE_DBUS)
     set(WITH_DBUS TRUE)
     find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
+    find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
 else()
     find_package(KDSingleApplication-qt6 CONFIG REQUIRED)
 endif()
 
 add_definitions(-DTRANSLATION_DOMAIN="kdebugsettings")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.9.0
-    KF 6.15.0
+ecm_set_disabled_deprecation_versions(QT 6.11.0
+    KF 6.20.0
 )
 
 if(OPTION_SELENIUMWEBDRIVER_SUPPORT)
@@ -100,7 +102,7 @@
 set(KDEBUGSETTINGS_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
 set(KDEBUGSETTINGS_LIB_SOVERSION "6")
 
-option(BUILD_QUICK_VERSION "Experimental (in progress)" FALSE)
+option(BUILD_QUICK_VERSION "Experimental (in progress)" OFF)
 if(BUILD_QUICK_VERSION)
     find_package(
         Qt6
