## kdebugsettings 25.08.3+p24.04+vunstable+git20251204.0526

=== debian/changelog ===
kdebugsettings (25.08.3+p24.04+vunstable+git20251204.0526-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:26:56 +0000
