## kdebugsettings 25.12.0+p24.04+vstable+git20251231.0105

=== debian/changelog ===
kdebugsettings (25.12.0+p24.04+vstable+git20251231.0105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:05:36 +0000

kdebugsettings (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:42:23 +1000
