## kdebugsettings 25.12.1+p24.04+vstable+git20260119.0155

=== debian/changelog ===
kdebugsettings (25.12.1+p24.04+vstable+git20260119.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 19 Jan 2026 01:55:18 +0000
