## kdebugsettings 25.12.1+p24.04+vunstable+git20260126.0840

=== debian/changelog ===
kdebugsettings (25.12.1+p24.04+vunstable+git20260126.0840-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 08:40:22 +0000
