=== src/apps/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2023-2026 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 add_executable(kdebugsettings main.cpp)
 if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
