=== src/data/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

########### install files ###############

install(
    PROGRAMS org.kde.kdebugsettings.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)
install(
    FILES org.kde.kdebugsettings.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)
